hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hdev ml <hde...@gmail.com>
Subject Re: Runtime exception while running Hive
Date Tue, 05 Oct 2010 21:00:03 GMT
Thanks Ning

On Tue, Oct 5, 2010 at 1:54 PM, Ning Zhang <nzhang@facebook.com> wrote:

> Yes, Hive 0.5 is compatible with Hadoop 0.20.0. It is also compatible to
> previous versions to 0.17.2.1+, but Hadoop 0.20 is recommended since it is
> more stable and supports more functionalities (e.g.,
> CombineHiveInputFormat).
>
> On Oct 5, 2010, at 1:30 PM, hdev ml wrote:
>
> Thanks Ning. I cannot find any compatibility page, so not sure which
> version of hadoop is compatible with hive 0.5.0?
>
> So should I install hadoop 0.20.0?
>
> On Tue, Oct 5, 2010 at 12:23 PM, Ning Zhang <nzhang@facebook.com> wrote:
>
>> Hive currently doesn't support haoop 0.21 yet (JIRA HIVE-1621).
>>
>> On Oct 5, 2010, at 12:01 PM, hdev ml wrote:
>>
>> > Hi all,
>> >
>> > I installed hadoop-0.21.0 and hive-0.5.0-bin and it is giving me
>> following error when trying to run hive CLI
>> >
>> > Is there anything wrong that I am doing?
>> >
>> > [user@machine bin]$ ./hive
>> > Exception in thread "main" java.lang.RuntimeException: Could not load
>> shims in class null
>> >         at
>> org.apache.hadoop.hive.shims.ShimLoader.loadShims(ShimLoader.java:86)
>> >         at
>> org.apache.hadoop.hive.shims.ShimLoader.getHadoopShims(ShimLoader.java:62)
>> >         at org.apache.hadoop.hive.cli.CliDriver.main(CliDriver.java:234)
>> >         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> >         at
>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>> >         at
>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>> >         at java.lang.reflect.Method.invoke(Method.java:597)
>> >         at org.apache.hadoop.util.RunJar.main(RunJar.java:192)
>> > Caused by: java.lang.NullPointerException
>> >         at java.lang.Class.forName0(Native Method)
>> >         at java.lang.Class.forName(Class.java:169)
>> >         at
>> org.apache.hadoop.hive.shims.ShimLoader.loadShims(ShimLoader.java:83)
>> >         ... 7 more
>> >
>> >
>> > Is this compatibility issue? I followed all the directions of installing
>> HIVE.
>> >
>> > Any help is really appreciated, as I am unable to proceed further.
>> >
>> > Thanks,
>> > Harshad
>>
>>
>
>

Mime
View raw message